Modding Help Updating mods for Stardew Valley 1.3 [CLOSED]

Discussion in 'Mods' started by Pathoschild, Apr 15, 2018.

Thread Status:
Not open for further replies.
  1. Head_Case

    Head_Case Orbital Explorer

    Anybody able to update Pelican Fibre? Thanks.
     
    • Pathoschild

      Pathoschild Tiy's Beard

      @Head_Case It already has an unofficial update. You can check mods.smapi.io to find the latest downloads for SMAPI mods.
       
      • Drexl

        Drexl Big Damn Hero

        @Pathoschild
        Here it is with all my mods installed: https://log.smapi.io/seDqVedc
        Here is is with only Line Sprinklers and needed pre-reqs installed (probably the one you want): https://log.smapi.io/28Qi0pqh

        No new recipes appear in my crafting pane. I've tried every sprinkler mod I can find on the nexus, and while not perfect, this is the only one that comes close to what I want. If you can help I'd be very grateful.

        Maybe one day a configurable mod like Better Sprinklers, but that adds new objects and fixes the problem where you can't remove the default sprinkler range (Line Sprinklers solved it apparently) will be made.
         
          Last edited: Mar 9, 2019
        • Hamsteroki

          Hamsteroki Space Spelunker

          I don't know if it's been already mentioned, but Farm Expansion is no longer compatible.
          I had the unofficial update posted on this thread installed but it doesn't work anymore.
           
          • davoker

            davoker Cosmic Narwhal

            I had not seen this post and thanks to that I have known the compatibility list of mods, Gift Taste Helper is again compatible with the current version of the game, it is the only mod I use.

            Thanks *O*
             
            • Head_Case

              Head_Case Orbital Explorer

              Thank you. Working again now!
               
              • Pathoschild

                Pathoschild Tiy's Beard

                @Hamsteroki Make sure you have the latest unofficial update (see mods.smapi.io for links to the latest downloads). If it still doesn't work, can you upload your SMAPI log (see instructions on that page) and post a link here?

                @Drexl That's weird. It adds the recipes for me, and your log shows that Json Assets does see them (e.g. "[Json Assets] Injecting to crafting recipes: Iridium Line Sprinkler (D): 645 1/what is this for?/300/true/null"). Can you post a screenshot of what you see in the crafting UI?
                 
                • netish

                  netish Void-Bound Voyager

                  Heya, long time no post >_< but I ran into an issue when updating all my mods- I use the developer console version of SMAPI and got all the latest versions (no errors) but when I was playing Prairie King the game suddenly locked up and I couldn't close or even tab to a different window. I checked my computer error log - cause I've had that happen before with a graphics card crash - but there were no recorded errors in my event viewer. Therefore that makes me think it is this mod causing the crash.
                  My SMAPI log - https://log.smapi.io/VKV7XV97
                  I looked through the log myself and it just showed the Prairie King loaded and nothing else. Furthermore, the crash tool shows no errors...so I'm kinda at a loss.
                  @Pathoschild do you have any advice or suggestions
                  (I customized and fixed kamilla's so I don't need to update to 3.0)
                   
                  • oxpc098

                    oxpc098 Space Hobo

                    Will SpaceCore work with v.1.3.36?
                     
                    • netish

                      netish Void-Bound Voyager

                      @oxpc098 it works! I've used it for myself - I need it for some of my other mods - just make sure to use the most recent unofficial version and to copy your config file if you have one
                       
                      • Moragaine

                        Moragaine Existential Complex

                        netish likes this.
                      • netish

                        netish Void-Bound Voyager

                        Nice! Must have been the pull Pathos submitted.
                         
                        • Drexl

                          Drexl Big Damn Hero

                          @Pathoschild I updated to the version of JSON Assets that released two days ago and now it works. I have no idea what changed. I've carefully checked everything many times, but now it's working. I'll just stay confused and accept it at this point. Thanks for looking into it.

                          Edit: If you get a chance to update it for SMAPI 3 that'd be cool, but I have no plans on updating my game or SMAPI until all the mods I use are updated anyway, and that's a lot of mods. :D
                           
                            Last edited: Mar 11, 2019
                          • Pathoschild

                            Pathoschild Tiy's Beard

                            @netish Does it happen consistently, or just once?

                            @Drexl Json Assets should already be updated for SMAPI 3.0. If you're seeing deprecation warnings, can you upload your SMAPI log (see instructions on that page) and post a link here?
                             
                            • netish

                              netish Void-Bound Voyager

                              @Pathoschild so I did some troubleshooting - and I figured it out! The game glitches if you go over 9 lives collected - you are fine until you collect what would make the tenth.
                               
                              • derpymoogle

                                derpymoogle Void-Bound Voyager

                                @Pathoschild The Part of the Community Mod throws an error if I give a gift to anyone in a family. Log is here. https://log.smapi.io/99aQEEZE Sorry to bother you. I know it isn't your mod but since you provided the unofficial update I was hoping you could help.
                                 
                                • netish

                                  netish Void-Bound Voyager

                                  @derpymoogle just a fyi - some of your mods (Bee House Fix, Better Ranching, Empty Hands, Help Wanted Quest Fixes, Horse Whistle, HP Bar, No Seeds From Trees Fix, and Persistent Game Options) are probably broken and might be involved in causing the error...
                                   
                                  • derpymoogle

                                    derpymoogle Void-Bound Voyager

                                    @netish AFAIK they were green on the mod compatibility page and aren't broken yet, at least not until the new SMAPI 3.0 drops.
                                     
                                    • netish

                                      netish Void-Bound Voyager

                                      well I don't know about the list - I always test and use logs myself, but these three struck me as being a problem now:
                                      BeeHouseFix will break in the upcoming SMAPI 3.0 (EntryDll value with case-insensitive capitalization is deprecated since SMAPI 2.11).
                                      Empty Hands will break in the upcoming SMAPI 3.0 (non-string manifest version is deprecated since SMAPI 2.8).
                                      NoSeedsFromTreesFix will break in the upcoming SMAPI 3.0 (EntryDll value with case-insensitive capitalization is deprecated since SMAPI 2.11).
                                       
                                      • derpymoogle

                                        derpymoogle Void-Bound Voyager

                                        @netish Yeah I know about that bold text. All that's saying is the mods are using some old code that won't be supported on SMAPI 3.0 but is still supported in SMAPI for now.
                                         
                                        Thread Status:
                                        Not open for further replies.

                                        Share This Page